class Szemely {
    constructor(nev, kor) {
        this.nev = nev
        this.kor = kor
    }

    bemutatkozas() {
        return `A nevem ${this.nev} és ${this.kor} éves vagyok!`
    }
}

class Diak extends Szemely {
    static diakszam = 0
    constructor(nev, kor, osztaly) {
        super(nev, kor)
        Diak.diakszam++
        this.osztaly = osztaly
    }

    bemutatkozas() {
        return `${super.bemutatkozas()} és az ${this.osztaly}-ba/be járok.`
    }
}

const diak1 = new Diak("Tóth Ádám", 19, "13.B")
const diak2 = new Diak("Tóth Ádámm", 191, "12.B")
console.log(diak1.bemutatkozas());
console.log(`Jelenleg ${Diak.diakszam} tanuló van a rendszerben`);
